<?php

/**
 * @author WTS Team - http://wordpressthemestock.com
 * @copyright 2011
 */

/*-----------------------------------------------------------------------------------*/
/*-----: Wts Content Tabs Widget :-----*/
/*-----------------------------------------------------------------------------------*/

// Define theme name
global $themename;
// Start here


/*-----------------------------------------------------------------------------------*/
/*-----: Wts Content Tabs Widget :-----*/
/*-----------------------------------------------------------------------------------*/

     class Wts_Widget_Content_Tabbed extends WP_Widget {
         function Wts_Widget_Content_Tabbed() {
            
            //Constructor
            global $themename;
            $widget_ops = array('classname' => 'widget_content_tabbed', 
                                'description' => 'A widget that allows the display of popular posts, recent posts, comments and tags' );
            $this->WP_Widget('Wts_Widget_Content_Tabbed', $themename . ' Content Tabbed', $widget_ops);
         }
          
         function widget($args, $instance) {
            // prints the widget
            extract($args);
            
            //variables from widget setting
            $tab_title_1 = $instance['tab_title_1'];
            $tab_title_2 = $instance['tab_title_2'];
            $tab_title_3 = $instance['tab_title_3'];
            $tab_title_4 = $instance['tab_title_4'];
            $tab_content_1 = $instance['tab_content_1'];
            $tab_content_2 = $instance['tab_content_2'];
            $tab_content_3 = $instance['tab_content_3'];
            $tab_content_4 = $instance['tab_content_4'];
            
            // Before Widget :
            echo $before_widget;
            
            // Display Widget Title if one was input .
                
            // Display widget content 
                echo '<div class="content_tabbed">'; // Containing DIV ?>
                <div id="content_tabs">
                    <ul class="content_tab_title">
                        <?php if($tab_title_1 != ''){ ?><li><a href="#<?php echo $tab_content_1; ?>"><span><?php echo $tab_title_1; ?></span></a></li><?php } ?>
                        <?php if($tab_title_2 != ''){ ?><li><a href="#<?php echo $tab_content_2; ?>"><span><?php echo $tab_title_2; ?></span></a></li><?php } ?>
                        <?php if($tab_title_3 != ''){ ?><li><a href="#<?php echo $tab_content_3; ?>"><span><?php echo $tab_title_3; ?></span></a></li><?php } ?>
                        <?php if($tab_title_4 != ''){ ?><li><a href="#<?php echo $tab_content_4; ?>"><span><?php echo $tab_title_4; ?></span></a></li><?php } ?>
                        <div style="clear: both;"></div>
                    </ul>
                </div>
                <div style="clear: both;"></div>
                <div id="content_tabs_element">

                    <?php if($tab_title_1 != 'none'){ C2_content_tabs($tab_content_1); }?>
                    <?php if($tab_title_2 != 'none'){ C2_content_tabs($tab_content_2); }?>
                    <?php if($tab_title_3 != 'none'){ C2_content_tabs($tab_content_3); }?>
                    <?php if($tab_title_4 != 'none'){ C2_content_tabs($tab_content_4); }?>
                    
                </div>

            <?php echo '</div>'; // end Containing DIV
            
            // After Widget
            echo $after_widget;
         }
          
         function update($new_instance, $old_instance) {
            //save the widget
            $instance = $old_instance;
            
            // Only text input
            
            $instance['tab_title_1'] = $new_instance['tab_title_1'];
            $instance['tab_title_2'] = $new_instance['tab_title_2'];
            $instance['tab_title_3'] = $new_instance['tab_title_3'];
            $instance['tab_title_4'] = $new_instance['tab_title_4'];
            $instance['tab_content_1'] = $new_instance['tab_content_1'];
            $instance['tab_content_2'] = $new_instance['tab_content_2'];
            $instance['tab_content_3'] = $new_instance['tab_content_3'];
            $instance['tab_content_4'] = $new_instance['tab_content_4'];
            
            return $instance;
         }
          
         function form($instance) {
            //widgetform in backend
            
            //default widget settings.
            $defaults_setting = array(
                'tab_title_1' => '',
                'tab_title_2' => '',
                'tab_title_3' => '',
                'tab_title_4' => '',
                'tab_content_1' =>'none',
                'tab_content_2' => 'none',
                'tab_content_3' => 'none',
                'tab_content_4' => 'none'
            );
            $instance = wp_parse_args( (array) $instance, $defaults_setting );
            ?>
            
            <!-- Tab Title 1 -->
            <p>
                <label for="<?php echo $this->get_field_id( 'tab_title_1' ); ?>"><?php _e('Tab 1 Title :', $themename) ?></label>
			    <input class="widefat" id="<?php echo $this->get_field_id( 'tab_title_1' ); ?>" name="<?php echo $this->get_field_name( 'tab_title_1' ); ?>" value="<?php echo $instance['tab_title_1']; ?>" />
            </p>
            
            <!-- Tab 1 Content -->
            <p>
    			<label for="<?php echo $this->get_field_id( 'tab_content_1' ); ?>"><?php _e('Tab 1 Content : ', $themename) ?></label>
    			<select id="<?php echo $this->get_field_id( 'tab_content_1' ); ?>" name="<?php echo $this->get_field_name( 'tab_content_1' ); ?>" class="widefat">
                    <option value="none" <?php if ( 'popular' == $instance['tab_content_1'] ) echo 'selected="selected"'; ?>>Please select tab content</option>
    				<option value="popular" <?php if ( 'popular' == $instance['tab_content_1'] ) echo 'selected="selected"'; ?>>Popular Posts</option>
    				<option value="recent" <?php if ( 'recent' == $instance['tab_content_1'] ) echo 'selected="selected"'; ?>>Recent Posts</option>
                    <option value="comment" <?php if ( 'comment' == $instance['tab_content_1'] ) echo 'selected="selected"'; ?>>Comments</option>
    				<option value="tags" <?php if ( 'tags' == $instance['tab_content_1'] ) echo 'selected="selected"'; ?>>Tags</option>
                    <option value="categories" <?php if ( 'categories' == $instance['tab_content_1'] ) echo 'selected="selected"'; ?>>Categories</option>
                    <option value="search" <?php if ( 'search' == $instance['tab_content_1'] ) echo 'selected="selected"'; ?>>Search</option>
                    <option value="links" <?php if ( 'links' == $instance['tab_content_1'] ) echo 'selected="selected"'; ?>>Links</option>    
    			</select>
    		</p>
            
            
            <!-- Tab Title 2 -->
            <p>
                <label for="<?php echo $this->get_field_id( 'tab_title_2' ); ?>"><?php _e('Tab 2 Title :', $themename) ?></label>
			    <input class="widefat" id="<?php echo $this->get_field_id( 'tab_title_2' ); ?>" name="<?php echo $this->get_field_name( 'tab_title_2' ); ?>" value="<?php echo $instance['tab_title_2']; ?>" />
            </p>
            
            <!-- Tab 2 Content -->
            <p>
            	<label for="<?php echo $this->get_field_id( 'tab_content_2' ); ?>"><?php _e('Tab 2 Content : ', $themename) ?></label>
            	<select id="<?php echo $this->get_field_id( 'tab_content_2' ); ?>" name="<?php echo $this->get_field_name( 'tab_content_2' ); ?>" class="widefat">
                    <option value="none" <?php if ( 'popular' == $instance['tab_content_2'] ) echo 'selected="selected"'; ?>>Please select tab content</option>
            		<option value="popular" <?php if ( 'popular' == $instance['tab_content_2'] ) echo 'selected="selected"'; ?>>Popular Posts</option>
            		<option value="recent" <?php if ( 'recent' == $instance['tab_content_2'] ) echo 'selected="selected"'; ?>>Recent Posts</option>
                    <option value="comment" <?php if ( 'comment' == $instance['tab_content_2'] ) echo 'selected="selected"'; ?>>Comments</option>
            		<option value="tags" <?php if ( 'tags' == $instance['tab_content_2'] ) echo 'selected="selected"'; ?>>Tags</option>
                    <option value="categories" <?php if ( 'categories' == $instance['tab_content_2'] ) echo 'selected="selected"'; ?>>Categories</option>
                    <option value="search" <?php if ( 'search' == $instance['tab_content_2'] ) echo 'selected="selected"'; ?>>Search</option>
                    <option value="links" <?php if ( 'links' == $instance['tab_content_2'] ) echo 'selected="selected"'; ?>>Links</option>    
            	</select>
            </p>

            <!-- Tab Title 3 -->
            <p>
                <label for="<?php echo $this->get_field_id( 'tab_title_3' ); ?>"><?php _e('Tab 3 Title :', $themename) ?></label>
			    <input class="widefat" id="<?php echo $this->get_field_id( 'tab_title_3' ); ?>" name="<?php echo $this->get_field_name( 'tab_title_3' ); ?>" value="<?php echo $instance['tab_title_3']; ?>" />
            </p>
            
            <!-- Tab 3 Content -->
            <p>
            	<label for="<?php echo $this->get_field_id( 'tab_content_3' ); ?>"><?php _e('Tab 3 Content : ', $themename) ?></label>
            	<select id="<?php echo $this->get_field_id( 'tab_content_3' ); ?>" name="<?php echo $this->get_field_name( 'tab_content_3' ); ?>" class="widefat">
                    <option value="none" <?php if ( 'popular' == $instance['tab_content_3'] ) echo 'selected="selected"'; ?>>Please select tab content</option>
            		<option value="popular" <?php if ( 'popular' == $instance['tab_content_3'] ) echo 'selected="selected"'; ?>>Popular Posts</option>
            		<option value="recent" <?php if ( 'recent' == $instance['tab_content_3'] ) echo 'selected="selected"'; ?>>Recent Posts</option>
                    <option value="comment" <?php if ( 'comment' == $instance['tab_content_3'] ) echo 'selected="selected"'; ?>>Comments</option>
            		<option value="tags" <?php if ( 'tags' == $instance['tab_content_3'] ) echo 'selected="selected"'; ?>>Tags</option>
                    <option value="categories" <?php if ( 'categories' == $instance['tab_content_3'] ) echo 'selected="selected"'; ?>>Categories</option>
                    <option value="search" <?php if ( 'search' == $instance['tab_content_3'] ) echo 'selected="selected"'; ?>>Search</option>
                    <option value="links" <?php if ( 'links' == $instance['tab_content_3'] ) echo 'selected="selected"'; ?>>Links</option>    
            	</select>
            </p>
            
            <!-- Tab Title 4 -->
            <p>
                <label for="<?php echo $this->get_field_id( 'tab_title_4' ); ?>"><?php _e('Tab 4 Title :', $themename) ?></label>
			    <input class="widefat" id="<?php echo $this->get_field_id( 'tab_title_4' ); ?>" name="<?php echo $this->get_field_name( 'tab_title_4' ); ?>" value="<?php echo $instance['tab_title_4']; ?>" />
            </p>
            
            <!-- Tab 4 Content -->
            <p>
            	<label for="<?php echo $this->get_field_id( 'tab_content_4' ); ?>"><?php _e('Tab 4 Content : ', $themename) ?></label>
            	<select id="<?php echo $this->get_field_id( 'tab_content_4' ); ?>" name="<?php echo $this->get_field_name( 'tab_content_4' ); ?>" class="widefat">
                    <option value="none" <?php if ( 'popular' == $instance['tab_content_4'] ) echo 'selected="selected"'; ?>>Please select tab content</option>
            		<option value="popular" <?php if ( 'popular' == $instance['tab_content_4'] ) echo 'selected="selected"'; ?>>Popular Posts</option>
            		<option value="recent" <?php if ( 'recent' == $instance['tab_content_4'] ) echo 'selected="selected"'; ?>>Recent Posts</option>
                    <option value="comment" <?php if ( 'comment' == $instance['tab_content_4'] ) echo 'selected="selected"'; ?>>Comments</option>
            		<option value="tags" <?php if ( 'tags' == $instance['tab_content_4'] ) echo 'selected="selected"'; ?>>Tags</option>
                    <option value="categories" <?php if ( 'categories' == $instance['tab_content_4'] ) echo 'selected="selected"'; ?>>Categories</option>
                    <option value="search" <?php if ( 'search' == $instance['tab_content_4'] ) echo 'selected="selected"'; ?>>Search</option>
                    <option value="links" <?php if ( 'links' == $instance['tab_content_4'] ) echo 'selected="selected"'; ?>>Links</option>    
            	</select>
            </p>
         <?php   
         }
     }
     
     function Wts_Widget_Content_Tabs(){
        register_widget('Wts_Widget_Content_Tabbed');
     }
     
     add_action( 'widgets_init', 'Wts_Widget_Content_Tabs' );
?>
