<?php

/**
 * @author WTS Team - http://wordpressthemestock.com
 * @copyright 2011
 */

/*-----------------------------------------------------------------------------------*/
/*-----: Flickr Gallery Widget :-----*/
/*-----------------------------------------------------------------------------------*/

// Define theme name
global $themename;
// Start here


/*-----------------------------------------------------------------------------------*/
/*-----: Flickr Gallery Widget :-----*/
/*-----------------------------------------------------------------------------------*/

     class Wts_Flickr_Widget extends WP_Widget {
         function Wts_Flickr_Widget() {
            
            //Constructor
            global $themename;
            $widget_ops = array('classname' => 'widget_flickr', 
                                'description' => 'Flickr gallery widget.' );
            $this->WP_Widget('Wts_Flickr_Widget', $themename . ' Flickr Gallery', $widget_ops);
         }
          
         function widget($args, $instance) {
            // prints the widget
            extract($args);
            
            //variables from widget setting
            $title = apply_filters('widget_title', $instance['title']);
            $flickrID = $instance['flickrID'];
    		$postcount = $instance['postcount'];
    		$display = $instance['display'];
            $type = $instance['type'];

            
            // Before Widget :
            echo $before_widget;
            
            // Display Widget Title if one was input .
            if($title)
                echo $before_title;
                _e('<span>flick<span>r </span></span>','c2framework'); 
                 echo $title.$after_title; // Before_title and After_title define by theme .
                
            // Display
                echo '<div class="flickr">'; // Containing DIV
                ?>
                    <script type="text/javascript" src="http://www.flickr.com/badge_code_v2.gne?count=<?php echo $postcount ?>&amp;display=<?php echo $display ?>&amp;size=s&amp;layout=x&amp;source=<?php echo $type ?>&amp;<?php echo $type ?>=<?php echo $flickrID ?>"></script>
                <?php
                echo '</div><div class="clear"></div>'; // end Containing DIV
            
            // After Widget
            echo $after_widget;
         }
          
         function update($new_instance, $old_instance) {
            //save the widget
            $instance = $old_instance;
            
            // Only text inputs
            $instance['title'] = strip_tags($new_instance['title']);
            
            $instance['flickrID'] = strip_tags( $new_instance['flickrID'] );
    		$instance['postcount'] = $new_instance['postcount'];
    		$instance['display'] = $new_instance['display'];
            $instance['type'] = $new_instance['type'];
            
            return $instance;
         }
          
         function form($instance) {
            //widgetform in backend
                
            //default widget settings.
            $defaults_setting = array(
                'title' => 'Gallery',
                'flickrID' => '66728171@N00',
                'postcount' => '9',
                'display' => 'random',
                'type' => 'user',
            );
            $instance = wp_parse_args( (array) $instance, $defaults_setting );
            ?>
            
            <!-- Widget Title -->
            <p>
                <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', $themename) ?></label>
			    <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
            </p>
            
            <!-- Flickr ID -->
    		<p>
    			<label for="<?php echo $this->get_field_id( 'flickrID' ); ?>"><?php _e('Flickr ID:', $themename) ?> (<a href="http://idgettr.com/">idGettr</a>)</label>
    			<input class="widefat" id="<?php echo $this->get_field_id( 'flickrID' ); ?>" name="<?php echo $this->get_field_name( 'flickrID' ); ?>" value="<?php echo $instance['flickrID']; ?>" />
    		</p>
    		
    		<!-- Postcount -->
    		<p>
    			<label for="<?php echo $this->get_field_id( 'postcount' ); ?>"><?php _e('Number of Photos:', $themename) ?></label>
    			<select id="<?php echo $this->get_field_id( 'postcount' ); ?>" name="<?php echo $this->get_field_name( 'postcount' ); ?>" class="widefat">
    				<option <?php if ( '3' == $instance['postcount'] ) echo 'selected="selected"'; ?>>3</option>
    				<option <?php if ( '6' == $instance['postcount'] ) echo 'selected="selected"'; ?>>6</option>
    				<option <?php if ( '9' == $instance['postcount'] ) echo 'selected="selected"'; ?>>9</option>
    			</select>
    		</p>
    		
    		<!-- Display -->
    		<p>
    			<label for="<?php echo $this->get_field_id( 'display' ); ?>"><?php _e('Display (random or latest):', $themename) ?></label>
    			<select id="<?php echo $this->get_field_id( 'display' ); ?>" name="<?php echo $this->get_field_name( 'display' ); ?>" class="widefat">
    				<option <?php if ( 'random' == $instance['display'] ) echo 'selected="selected"'; ?>>random</option>
    				<option <?php if ( 'latest' == $instance['display'] ) echo 'selected="selected"'; ?>>latest</option>
    			</select>
    		</p>
            
            <!-- Type -->
    		<p>
    			<label for="<?php echo $this->get_field_id( 'type' ); ?>"><?php _e('Type (user or group):', $themename) ?></label>
    			<select id="<?php echo $this->get_field_id( 'type' ); ?>" name="<?php echo $this->get_field_name( 'type' ); ?>" class="widefat">
    				<option <?php if ( 'user' == $instance['type'] ) echo 'selected="selected"'; ?>>user</option>
    				<option <?php if ( 'group' == $instance['type'] ) echo 'selected="selected"'; ?>>group</option>
    			</select>
    		</p>
                
         <?php   
         }
     }
     
     function Wts_Flickr_Widget_Gallery(){
        register_widget('Wts_Flickr_Widget');
     }
     
     add_action( 'widgets_init', 'Wts_Flickr_Widget_Gallery' );
?>
